import os
import kaute

from jinja2 import Environment, FileSystemLoader

class Backend(kaute.Object):
	def __init__(self, app):
		super(Backend, self).__init__()
		self.app = app
		#self.app._AppGUI__templating_environment.globals['function_name'] = function_name
		self.app.window.closeEvent = self.closeEvent
		return

	def closeEvent(self, event):
		return

	@kaute.Slot()
	def system_exit(self):
		return

	@kaute.Slot()
	def index(self):
		self.app.template = ('index.html', {})
		return

